#1498 Fatal Error: Can't Bind to...

3.0.19
pending
startup (89)
5
2012-06-17
2012-06-15
mitragyna
No

I was using Privoxy in conjunction with Hamachi VPN. It was working find until one day I start Privoxy and I get this Fatal Error (detail taken from log):
"2012-06-07 21:33:18.266 00002b98 Fatal error: can't bind to 127.0.0.1:8118: (error number 0)"

Since that day, I have received that same error message every time I start Privoxy. I have not changed anything with the VPN or any other settings.

What might be the problem? Was some small Windows property changed? Any ideas would be helpful.

System Info:
Windows 7 Home Premium 64-bit
Privoxy version 3.0.19

You can reply to griffinbjorkman[at]gmail.com if you choose.

Thanks in advance!

Discussion

  • Fabian Keil

    Fabian Keil - 2012-06-15

    Is it possible that Privoxy is already running?
    Are you using some kind of "personal firewall" that might prevent Privoxy from opening the listening socket?
    Do you get the same error message if you change the listen-address to 127.0.0.1:8119 or some other address?

     
  • Fabian Keil

    Fabian Keil - 2012-06-15
    • assigned_to: nobody --> fabiankeil
    • status: open --> pending
     
  • mitragyna

    mitragyna - 2012-06-15

    Well the weird thing is, I don't even have the Config file configured to that address. I have it configured to my VPN IP. Why is it binding to 127.0.0.1?

     
  • mitragyna

    mitragyna - 2012-06-15
    • status: pending --> open
     
  • mitragyna

    mitragyna - 2012-06-15

    This is strange, now I just opened Privoxy and a different window popped up behind the old fatal error window. See screenshot: http://i.imgur.com/dbO8b.jpg

     
  • Fabian Keil

    Fabian Keil - 2012-06-17
    • status: open --> pending
     
  • Fabian Keil

    Fabian Keil - 2012-06-17

    It looks like your config.txt line 695 starts with an IP address and a port but misses the listen-address directive:
    http://config.privoxy.org/user-manual/config.html#LISTEN-ADDRESS

    If the whole file contains no listen-address directive, the default (127.0.0.1:8118) will be used.

    While this doesn't explain why Privoxy can't bind to it, it would explains why it's trying.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks